<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Class nl.naturalis.nba.api.QuerySpec</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class nl.naturalis.nba.api.QuerySpec";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class nl.naturalis.nba.api.QuerySpec" class="title">Uses of Class<br>nl.naturalis.nba.api.QuerySpec</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<h3>Uses of <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a></span></code></th>
<td class="colLast">
<div class="block">An extension of the <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> class specifically meant for
 <a href="../ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="../ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a></span></code></th>
<td class="colLast">
<div class="block">Extension of <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> used for the <a href="../ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)"><code>queryWithNameResolution</code></a> service.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../BatchQueryResult.html" title="class in nl.naturalis.nba.api">BatchQueryResult</a>&lt;<a href="../INbaAccess.html" title="type parameter in INbaAccess">DOCUMENT_OBJECT</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#batchQuery(nl.naturalis.nba.api.QuerySpec)">batchQuery</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns documents satisfying the provided query.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#count(nl.naturalis.nba.api.QuerySpec)">count</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns the number of documents conforming to the provided query
 specification.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#countDistinctValues(java.lang.String,nl.naturalis.nba.api.QuerySpec)">countDistinctValues</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                   <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns the distinct number of values for the given field.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#countDistinctValuesPerGroup(java.lang.String,java.lang.String,nl.naturalis.nba.api.QuerySpec)">countDistinctValuesPerGroup</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;forGroup,
                           <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;forField,
                           <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns the distinct number of values for the given field (<i>forField</i>),
 grouped by the second field (<i>forGroup</i>) you have specified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#downloadQuery(nl.naturalis.nba.api.QuerySpec,java.io.OutputStream)">downloadQuery</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec,
             <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;out)</code></th>
<td class="colLast">
<div class="block">
 Writes the output satisfying the specified query specification to the
 specified output stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ISpecimenAccess.</span><code><span class="memberNameLink"><a href="../ISpecimenAccess.html#dwcaQuery(nl.naturalis.nba.api.QuerySpec,java.io.OutputStream)">dwcaQuery</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec,
         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;out)</code></th>
<td class="colLast">
<div class="block">
 Writes a DarwinCore Archive with taxa satisfying the specified query specification to the specified output stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ITaxonAccess.</span><code><span class="memberNameLink"><a href="../ITaxonAccess.html#dwcaQuery(nl.naturalis.nba.api.QuerySpec,java.io.OutputStream)">dwcaQuery</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec,
         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;out)</code></th>
<td class="colLast">
<div class="block">
 Writes a DarwinCore Archive with taxa satisfying the specified query
 specification to the specified output stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Long.html?is-external=true" title="class or interface in java.lang" class="externalLink">Long</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#getDistinctValues(java.lang.String,nl.naturalis.nba.api.QuerySpec)">getDistinctValues</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;forField,
                 <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns the unique values of the specified field.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#getDistinctValuesPerGroup(java.lang.String,java.lang.String,nl.naturalis.nba.api.QuerySpec)">getDistinctValuesPerGroup</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;forGroup,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;forField,
                         <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns the distinct values and their document count of the specified field
 (<i>forField</i>), grouped by a second specified field (<i>forGroup</i>).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="../INbaAccess.html" title="type parameter in INbaAccess">DOCUMENT_OBJECT</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#query(nl.naturalis.nba.api.QuerySpec)">query</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns documents satisfying the provided query.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../QuerySpec.html#%3Cinit%3E(nl.naturalis.nba.api.QuerySpec)">QuerySpec</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Copy constructor</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
